/* NAVIGATION */
.bg-light {
  background-color: white !important;
}
.navbar-brand {
  background-image: url("../img/logo.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  width: 48px;
  height: 48px;
}
.navbar-nav .nav-item:hover {
  background-color: rgba(180, 190, 203, 0.4);
}
.nav-item{
  font-family: Montserrat,sans-serif;
  font-weight: 500;
}
.navbar-dark .navbar-toggler {
  background-color: #062053;
 }
.navbar-toggler {
  padding: 0px;
}
.navbar-brand {
  margin-right: 0px;
}
.navbar-dark .navbar-nav .nav-link {
  color: #041c64;
  text-transform: uppercase;
}
.navbar h5{
  text-decoration: none;
  font-family: Montserrat,sans-serif;
  font-weight: 700;
  color: #041c64;
}
.dropdown-item {
  color: #041c64;
  font-weight: 500;
}
.banner-dekstop{
  display: block;
}
.banner-mobile{
  display: none;
}
.highlight{
  background-color: #053c5a;
  padding: 90px;
  font-family: Montserrat,sans-serif;
}
.highlight h4{
  font-weight: bold;
  margin-top: 50px;
  margin-bottom: 10px;
}
.highlight p{
  font-size: 15px;
  text-align: justify;
}
.highlight button{
  border-radius: 20px;
  background-color: #053c5a;
  font-weight: bold;
  color: #ffc929;
  font-size: 20px;
}
.highlight-news{
  background-color: #ffffff;
  padding: 40px;
  border-radius: 20px;
}
.highlight-news-judul{
  background-color: #014284;
  padding: 20px;
  color: white;
  width: 30%;
  float: right;
  text-align: center;
  font-weight: 700;
  font-size: 18px;
  text-transform: uppercase;
}
.highlight-news img{
  border-radius: 30px;
  border: 15px solid #efbd08;
  max-width: 90%;
 }
 .news{
  background-color: #212433;
  padding: 50px;
  font-family: Montserrat,sans-serif;
  color: white;
 }
 .news img{
  border-radius: 20px;
  border: 5px solid #efbd08;
  margin-bottom: 10px;
 }
 .news h3{
  font-size: 500;
  color: white;
  text-align: center;
 }
 .news i{
  color: #fabd00;
 }
 .news-title{
  background-color: #fbaa34;
  padding: 10px;
  width: 20%;
  color: black;
  font-weight: bold;
  text-align: center;
  font-size: 25px;
  margin-bottom: 30px;
  margin-top: -80px;
 }
 .pengumuman{
  background-color: #a0c2ce;
  padding: 50px;
  font-family: Montserrat,sans-serif;
 }
 .pengumuman h1{
  text-align: center;
  font-weight: bold;
  color: black;
  text-transform: uppercase;
  font-size: 30px;
  margin-bottom: 20px;
 }
 .footer{
  background-color: #014284;
  padding: 20px;
  font-family: Montserrat,sans-serif;
 }
 .footer-judul-besar{
  font-size: 25px;
  font-weight: bold;
  color: #efbd08;
  text-transform: uppercase;
  margin-bottom: 5px;
 }
 .footer-judul-kecil{
  font-size: 15px;
  font-weight: bold;
  color: #efbd08;
  text-transform: uppercase;
  margin-bottom: 5px;
 }
 .footer p{
  font-size: 15px;
  color: white;
  font-weight: 500;
  line-height: 1.7;
 }
 .sosmed{
  display: flex;
 }
 .sosmed-icon{
  width: 30%;
 }
 .sosmed i{
  color: white;
  font-size: 20px;
 }
 .copyright{
  background-color: #fbaa34;
  color: #212433;
  font-family: Montserrat,sans-serif;
  text-align: center;
  font-weight: bold;
  font-size: 15px;
  padding: 10px;
 }
 .profil{
  background-color: #a0c2ce;
  padding: 50px;
 }
 .profil-card{
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.12) !important;
  background-color: #fff;
  padding: 20px;
  margin-bottom: 100px;
  font-family: Montserrat,sans-serif;
 }
 .profil-card h3{
  font-weight: bold;
  text-transform: uppercase;
  text-align: center;
 }
 .profil p{
  color: black;
 }
 .guru{
  background-color: #e3e1e2;
  padding: 50px;
 }
 .guru h1{
    font-weight: 700;
    text-align: center;
    margin-bottom: 20px;
    text-transform: uppercase;
  }
 .guru-card{
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.12) !important;
  border: 1px solid black;
  padding: 5px;
  background-color: white;
  font-family: Montserrat,sans-serif;
  text-align: center;
 }
 .guru-card h5{
  font-weight: 500;
  color: black;
  margin-bottom: 5px;
 }
 .guru-card h3{
  font-weight: 700;
  color: #18599d;
 }
 .card-title {
  text-align: center;
 }
 .jurusan{
  background-color: #a0c2ce;
  padding: 50px;
 }
 .jurusan-desk{
  background-color: white;
  padding: 30px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.12) !important;
  border: 1px solid black;
  font-family: Montserrat,sans-serif;
 }
 .jurusan h1{
  font-weight: 700;
  text-transform: uppercase;
  margin-top: 30px;
  margin-bottom: 30px;
  text-align: center;
 }
 .jurusan p{
  font-size: 18px;
 }
 .jurusan hr{
  width: 100%;
  background-color: black;
 }
 .jurusan p{
  font-size: 15px;
  text-align: justify;
 }
 .jurusan ul{
    list-style-type: revert !important;
 }
 .jurusan li{
  margin-bottom: 10px;
 }
 .form {
  width: 100%;
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 0 20px 1px rgba(0, 0, 0, 0.1);
  z-index: 1000;
  overflow: hidden;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  font-family: Montserrat,sans-serif;
}

.contact-form {
  background-color: #041c64;
  position: relative;
}

.circle {
  border-radius: 50%;
  background: linear-gradient(135deg, transparent 20%, #149279);
  position: absolute;
}

.circle.one {
  width: 130px;
  height: 130px;
  top: 130px;
  right: -40px;
}

.circle.two {
  width: 80px;
  height: 80px;
  top: 10px;
  right: 30px;
}

.contact-form:before {
  content: "";
  position: absolute;
  width: 26px;
  height: 26px;
  background-color: #041c64;
  transform: rotate(45deg);
  top: 50px;
  left: -13px;
}

.form form {
  padding: 2.3rem 2.2rem;
  z-index: 10;
  overflow: hidden;
  position: relative;
}

.title {
  color: #fff;
  font-weight: 500;
  font-size: 1.5rem;
  line-height: 1;
  margin-bottom: 0.7rem;
}

.input-container {
  position: relative;
  margin: 1rem 0;
}

.input {
  width: 100%;
  outline: none;
  border: 2px solid #fafafa;
  background: none;
  padding: 0.6rem 1.2rem;
  color: #fff;
  font-weight: 500;
  font-size: 0.95rem;
  letter-spacing: 0.5px;
  border-radius: 5px;
  transition: 0.3s;
}

.form textarea.input {
  padding: 0.8rem 1.2rem;
  min-height: 150px;
  border-radius: 5px;
  resize: none;
  overflow-y: auto;
}

.input-container label {
  position: absolute;
  top: 50%;
  left: 15px;
  transform: translateY(-50%);
  padding: 0 0.4rem;
  color: #fafafa;
  font-size: 0.9rem;
  font-weight: 400;
  pointer-events: none;
  z-index: 1000;
  transition: 0.5s;
}

.input-container.textarea label {
  top: 1rem;
  transform: translateY(0);
}

.form .btn {
  padding: 0.6rem 1.3rem;
  background-color: #fff;
  border: 2px solid #fafafa;
  font-size: 0.95rem;
  color: #1abc9c;
  line-height: 1;
  border-radius: 5px;
  outline: none;
  cursor: pointer;
  transition: 0.3s;
  margin: 0;
  width: 100%;
}

.btn:hover {
  background-color: transparent;
  color: #fff;
}

.input-container span {
  position: absolute;
  top: 0;
  left: 25px;
  transform: translateY(-50%);
  font-size: 0.8rem;
  padding: 0 0.4rem;
  color: transparent;
  pointer-events: none;
  z-index: 500;
}

.input-container span:before,
.input-container span:after {
  content: "";
  position: absolute;
  width: 10%;
  opacity: 0;
  transition: 0.3s;
  height: 5px;
  background-color: #1abc9c;
  top: 50%;
  transform: translateY(-50%);
}

.input-container span:before {
  left: 50%;
}

.input-container span:after {
  right: 50%;
}

.input-container.focus label {
  top: 0;
  transform: translateY(-50%);
  left: 25px;
  font-size: 0.8rem;
}

.input-container.focus span:before,
.input-container.focus span:after {
  width: 50%;
  opacity: 1;
}

.contact-info {
  padding: 2.3rem 2.2rem;
  position: relative;
}

.contact-info .title {
  color: black;
}

.text {
  color: #333;
  margin: 1.5rem 0 2rem 0;
}

.information {
  display: flex;
  color: #555;
  margin: 0.7rem 0;
  align-items: center;
  font-size: 0.95rem;
}

.information i {
  color: black;
}

.icon {
  width: 28px;
  margin-right: 0.7rem;
}

.social-media {
  padding: 2rem 0 0 0;
}

.social-media p {
  color: #333;
}

.social-icons {
  display: flex;
  margin-top: 0.5rem;
}

.social-icons a {
  width: 35px;
  height: 35px;
  border-radius: 5px;
  background: #041c64;
  color: #fff;
  text-align: center;
  line-height: 35px;
  margin-right: 0.5rem;
  transition: 0.3s;
}

.social-icons a:hover {
  transform: scale(1.05);
}

.contact-info:before {
  content: "";
  position: absolute;
  width: 110px;
  height: 100px;
  border: 22px solid #1abc9c;
  border-radius: 50%;
  bottom: -77px;
  right: 50px;
  opacity: 0.3;
}
.square {
  position: absolute;
  height: 400px;
  top: 50%;
  left: 50%;
  transform: translate(181%, 11%);
  opacity: 0.2;
}
.preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 9999;
  background-color: #fff;
  }
  .preloader .loading {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    font: 14px arial;
  }
  .video-container {
    position: relative;
    width: 100%;
    height: 0;
    padding-bottom: 56.25%; /* Rasio aspek video 16:9 */
 }
 .video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
 }


 @media (min-width: 768px) and (max-width: 1024px){
  .nav-item {
    font-size: 15px;
  }
  .dropdown-item {
    font-size: 15px;
  }
  .banner-dekstop{
    display: none;
  }
  .banner-mobile{
    display: block;
  }
  .highlight {
    padding: 10px;
  }
  .highlight-news {
    padding: 20px;
  }
  .highlight-news img {
    max-width: 100%;
    border: 5px solid #efbd08;
  }
  .highlight h4 {
    margin-top: 10px;
    font-size: 18px;
    text-align: center;
  }
  .highlight p {
    text-align: center;
  }
  .news {
    padding: 10px;
  }
  .news-title {
    width: 100%;
    margin-top: 0px;
    margin-bottom: 15px;
    font-size: 18px;
    text-transform: uppercase;
    margin-top: 15px;
  }
  .pengumuman{
    padding: 15px;
  }
  .pengumuman h1{
    font-size: 25px;
  }
  .card{
    width: 100% !important;
    margin-bottom: 15px;
  }
  .card a{
    width: 100% !important;
  }
  .footer-judul-besar {
    font-size: 20px;
  }
  .footer p {
    font-weight: 300;
  }
  .copyright{
    font-size: 13px;
  }
  .profil {
    padding: 10px;
  }
  .profil-card{
    padding-bottom: 10px;
    margin-bottom: 10px;
  }
  .guru{
    padding: 10px;
  }
  .guru-card h5 {
    font-size: 15px;
  }
  .guru-card h3 {
    font-size: 15px;
    font-weight: 500;
  }
  .jurusan{
    padding: 0px;
    padding-top: 20px;
    padding-bottom: 20px;
  }
  .jurusan-desk {
      padding:15px;
  }
 }

 @media only screen and (max-width: 600px) {
  .nav-item {
    font-size: 15px;
  }
  .dropdown-item {
    font-size: 15px;
  }
  .banner-dekstop{
    display: none;
  }
  .banner-mobile{
    display: block;
  }
  .highlight {
    padding: 10px;
  }
  .highlight-news {
    padding: 20px;
  }
  .highlight-news img {
    max-width: 100%;
    border: 5px solid #efbd08;
  }
  .highlight h4 {
    margin-top: 10px;
    font-size: 18px;
    text-align: center;
  }
  .highlight p {
    text-align: center;
  }
  .news {
    padding: 10px;
  }
  .news-title {
    width: 100%;
    margin-top: 0px;
    margin-bottom: 15px;
    font-size: 18px;
    text-transform: uppercase;
    margin-top: 15px;
  }
  .pengumuman{
    padding: 15px;
  }
  .pengumuman h1{
    font-size: 25px;
  }
  .card{
    width: 100% !important;
    margin-bottom: 15px;
  }
  .card a{
    width: 100% !important;
  }
  .footer-judul-besar {
    font-size: 20px;
  }
  .footer p {
    font-weight: 300;
  }
  .copyright{
    font-size: 13px;
  }
  .profil {
    padding: 10px;
  }
  .profil-card{
    padding-bottom: 10px;
    margin-bottom: 10px;
  }
  .guru{
    padding: 10px;
  }
  .guru-card h3 {
    font-size: 15px;
    font-weight: 500;
  }
  .guru-card h5 {
    font-size: 15px;
  }
  .jurusan{
    padding: 0px;
    padding-top: 20px;
    padding-bottom: 20px;
  }
  .highlight-news-judul{
    width: 100%;
    margin-bottom: 20px;
    font-size: 18px;
    padding: 10px;
  }
 }
@media (max-width: 850px) {
  .form {
    grid-template-columns: 1fr;
  }

  .contact-info:before {
    bottom: initial;
    top: -75px;
    right: 65px;
    transform: scale(0.95);
  }

  .contact-form:before {
    top: -13px;
    left: initial;
    right: 70px;
  }

  .square {
    transform: translate(140%, 43%);
    height: 350px;
  }

  .big-circle {
    bottom: 75%;
    transform: scale(0.9) translate(-40%, 30%);
    right: 50%;
  }

  .text {
    margin: 1rem 0 1.5rem 0;
  }

  .social-media {
    padding: 1.5rem 0 0 0;
  }
}

@media (max-width: 480px) {
  .contact-info:before {
    display: none;
  }

  .square,
  .big-circle {
    display: none;
  }

  .form form,
  .contact-info {
    padding: 1.7rem 1.6rem;
  }

  .text,
  .information,
  .social-media p {
    font-size: 0.8rem;
  }

  .title {
    font-size: 1.15rem;
  }

  .social-icons a {
    width: 30px;
    height: 30px;
    line-height: 30px;
  }

  .icon {
    width: 23px;
  }

  .input {
    padding: 0.45rem 1.2rem;
  }

  .btn {
    padding: 0.45rem 1.2rem;
  }
  .jurusan-desk {
      padding:15px;
  }
}